org.apache.ignite.internal

## Interface IgniteDiagnosticAware

All Known Implementing Classes:
  GridDhtColocatedLockFuture, GridDhtPartitionsExchangeFuture, GridDhtTxFinishFuture, GridDhtTxPrepareFuture, GridNearOptimisticTxPrepareFuture, GridPartitionedSingleGetFuture, InitNewCoordinatorFuture

    public interface IgniteDiagnosticAware

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addDiagnosticRequest(IgniteDiagnosticPrepareContext ctx)`

### Method Detail

#### addDiagnosticRequest

    void addDiagnosticRequest(IgniteDiagnosticPrepareContext ctx)

Parameters:
  `ctx` - Context.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023